/**
 * generated by Xtext 2.25.0
 */
package fr.n7.pDL1;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Guidance</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.n7.pDL1.Guidance#getTexte <em>Texte</em>}</li>
 * </ul>
 *
 * @see fr.n7.pDL1.PDL1Package#getGuidance()
 * @model
 * @generated
 */
public interface Guidance extends ProcessElement
{
  /**
   * Returns the value of the '<em><b>Texte</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Texte</em>' attribute.
   * @see #setTexte(String)
   * @see fr.n7.pDL1.PDL1Package#getGuidance_Texte()
   * @model
   * @generated
   */
  String getTexte();

  /**
   * Sets the value of the '{@link fr.n7.pDL1.Guidance#getTexte <em>Texte</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Texte</em>' attribute.
   * @see #getTexte()
   * @generated
   */
  void setTexte(String value);

} // Guidance
